package com.gihon.common.constans;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @ClassName : BusinessErrorCode
 * @Description : 业务通用异常枚举类
 * @Author : hbw
 * @Date : 2020-11-12 13:10
 * @Version : V1.0
 */
@Getter
@AllArgsConstructor
public enum BusinessErrorCode {

    /**
     * 通用业务异常
     */
    BUSINESS_ERROR("800", "业务异常"),
    BAD_REQUEST_ERROR("400", "参数解析失败"),
    PARENT_ID_IS_EMPTY("401", "上级id不能为空"),
    SYSTEM_BUSY("-1", "系统繁忙~请稍后再试~"),
    PARAM_EX("-3", "参数类型解析异常"),
    SQL_EX("-4", "运行SQL出现异常"),
    NULL_POINT_EX("-5", "空指针异常"),
    ILLEGALA_ARGUMENT_EX("-6", "无效参数异常"),
    MEDIA_TYPE_EX("-7", "请求类型异常"),
    BASE_VALID_PARAM("-9", "统一验证参数异常"),
    METHOD_NOT_ALLOWED("405", "不支持当前请求类型"),
    USERNAME_NOT_FOND("406","用户不存在"),
    REQUIRED_FILE_PARAM_EX("1001", "请求中必须至少包含一个有效文件");

    private String code;
    private String message;
}
