package com.gihon.common.exception;
import com.gihon.common.constans.BusinessErrorCode;

/**
 * 自定义异常
 *
 * @author Levi
 */
public class MyException extends RuntimeException {
    private static final long serialVersionUID = 1L;
    private String msg;
    private int code = 500;

    /**
     * 使用枚举传参
     *
     * @param errorCode 异常枚举
     */
    public MyException(BusinessErrorCode errorCode) {
        super(errorCode.getMessage());
        this.code = Integer.valueOf(errorCode.getCode());
    }

    public MyException(String msg) {
        super(msg);
        this.msg = msg;
    }

    public MyException(String msg, Throwable e) {
        super(msg, e);
        this.msg = msg;
    }

    public MyException(String msg, int code) {
        super(msg);
        this.msg = msg;
        this.code = code;
    }

    public MyException(String msg, int code, Throwable e) {
        super(msg, e);
        this.msg = msg;
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

}
