package com.gihon.common.response;

/**
 * 响应值枚举类
 *
 * @author Levi
 */
public enum ResponseEnum {
    OK(10000, "成功"),
    UNAUTHORIZED(30001, "未认证"),
    FORBIDDEN(30002, "未认证"),
    NOTFOUND(40000, "未找到资源"),
    FAIL(50000, "失败");

    /**
     * 响应状态码
     */
    public final int status;
    /**
     * 响应内容
     */
    public final String message;

    ResponseEnum(int status, String message) {
        this.status = status;
        this.message = message;
    }
}
