package com.gihon.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.*;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @program: common-parent
 * @description:
 * @author: dl
 * @create: 02月18日 17时
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor(access = AccessLevel.PACKAGE)
@ApiOperation("权限实体")
@TableName(value = "s_gihon_permission")
public class Permission implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 主键
     */
    @ApiModelProperty("权限主键")

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 权限名称
     */
    @ApiModelProperty("权限名称")

    private String name;

    /**
     * 备注
     */
    @ApiModelProperty("权限备注")

    private String description;

    @ApiModelProperty("权限父id")

    private Long parentId;

    /**
     * 接口地址
     */
    @ApiModelProperty("权限接口地址")

    private String url;

    /**
     * 模块
     */
    @ApiModelProperty("权限模块")

    private String module;

    /**
     * 类型
     */
    @ApiModelProperty("权限类型")

    private String type;

    /**
     * 创建时间
     */
    @ApiModelProperty("权限创建时间")

    private LocalDateTime createTime;

    /**
     * 创建人id
     */
    @ApiModelProperty("权限创建人id")

    private Long createUserId;

    /**
     * 最后修改时间
     */
    @ApiModelProperty("权限最后修改时间")

    private LocalDateTime updateTime;

    /**
     * 修改人id
     */
    @ApiModelProperty("权限修改人id")

    private Long updateUserId;

    /**
     * 逻辑删除 0未删除 1已删除
     */
    @ApiModelProperty("权限 逻辑删除 0未删除 1已删除")

    private Integer deleted;


}
