package com.gihon.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @program: common-parent
 * @description:
 * @author: dl
 * @create: 02月18日 17时
 **/

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor(access = AccessLevel.PACKAGE)
@ApiModel("角色实体")
@TableName(value = "s_gihon_role")
public class Role  implements Serializable{

    private static final long serialVersionUID=1L;
    @TableId(value = "id", type = IdType.AUTO)
    @TableField("id")
    private Long id;

    /**
     * 名称
     */
    @ApiModelProperty("角色名称")
    private String name;

    /**
     * 描述
     */
    @ApiModelProperty("角色描述")
    private String describ;

    /**
     * 状态 1.启用 2.禁用
     */
    @ApiModelProperty("角色状态")
    private Boolean status;

    /**
     * 创建人id
     */
    @ApiModelProperty("角色创建人id")
    private Long createUser;

    /**
     * 创建时间
     */
    @ApiModelProperty("角色创建时间")
    private LocalDateTime createTime;

    /**
     * 更新人id
     */
    @ApiModelProperty("角色更新人id")
    private Long updateUser;

    /**
     * 更新时间
     */
    @ApiModelProperty("角色更新时间")
    private LocalDateTime updateTime;




    public Role(Long id, String rolename) {
        this.id = id;
        this.name = rolename;
    }

}
