package com.gihon.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 自定义实体类型，用户user实体。
 * 自定义的实体中，经常有User类型。
 */

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor(access = AccessLevel.PACKAGE)
@TableName("s_gihon_user")
@ApiModel("用户实体")
public class User implements Serializable {

    private static final long serialVersionUID=1L;

    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty("用户id")
    private Long id;

    @ApiModelProperty("用户账号")
    private String account;

    @ApiModelProperty("用户密码")
    private String password;

    @ApiModelProperty("用户名称")
    private String name;

    /**
     * 邮箱
     */
    @ApiModelProperty("用户邮箱")

    private String email;

    /**
     * 手机
     */
    @ApiModelProperty("用户手机")
    private String mobile;

    /**
     * 性别 1:女;2:男;0:未知}
     */
    @ApiModelProperty("用户性别")

    private Boolean sex;

    /**
     * 状态 1启用 0禁用
     */
    @ApiModelProperty("账号状态")

    @TableLogic(value = "1",delval = "0")
    private Integer status;

    /**
     * 头像
     */
    @ApiModelProperty("用户头像")

    private String avatar;

    /**
     * 民族
     */
    @ApiModelProperty("用户民族")

    private String nation;

    /**
     * 学历
     */
    @ApiModelProperty("用户学历")

    private String education;

    /**
     * 创建人id
     */
    @ApiModelProperty("用户创建人id")

    private Long createUser;

    /**
     * 创建时间
     */
    @ApiModelProperty("用户创建时间")

    private LocalDateTime createTime;

    /**
     * 更新人id
     */
    @ApiModelProperty("用户更新人id")

    private Long updateUser;

    /**
     * 更新时间
     */
    @ApiModelProperty("用户 更新时间")

    private LocalDateTime updateTime;

    /**
     * 微信用户唯一标识
     */
    @ApiModelProperty("用户微信用户唯一标识")

    private String openid;

    /**
     * 微信昵称
     */
    @ApiModelProperty("用户微信昵称")

    private String merchantNickname;

    /**
     * 微信头像
     */
    @ApiModelProperty("用户微信头像")

    private String merchantImg;

    /**
     * 微信手机号
     */
    @ApiModelProperty("用户微信手机号")

    private String merchantPhone;


}
