package com.gihon.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gihon.entity.User;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

// 数据访问接口
@Mapper
public interface UserMapper extends BaseMapper<User> {
    @Select("select id, account, password ,name from s_gihon_user where account = #{username}")
    User selectByUsername(String username);
    // 根据用户的主键，查询角色的名称集合。
    @Select("select name from s_gihon_role where id =(select role_id from s_gihon_user_role where id = #{userId})")
    List<String> selectRoleNamesByUserId(Long userId);
    // 根据用户的主键，查询权限的描述集合。
    @Select("select name from s_gihon_permission where id in (select authority_id from s_gihon_role_authority where role_id in(select role_id from s_gihon_user_role where user_id = #{userId}))")
    List<String> selectPermissionsByUserId(Long userId);

    int insertRolestoUser(@Param("userid") Long userid, @Param("roleIds") Long [] roleIds);

    @Delete("delete from s_gihon_user_role where user_id = #{id}")
    int deleteRole2UserById(Long id);
}
